Subject: Re: bug#54247: "guix pull error: You found a bug"

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 06 Mar 2022 21:38:53 -0500

Hello,

Pierre-Henry Fröhring <[email-masked]> writes:

>       Thanks for the report.
>
>       It appears this happened while ci.guix.gnu.org (Cuirass) was down; I wonder
>       what the error was though.  Could you please try the following:
>
>       –8<—————cut here—————start————->8— $ guix build
>       /gnu/store/6yhwysy1x5zc5s4xbdar2sayqc20fwdl-compute-guix-derivation
>       –8<—————cut here—————end—————>8—
>
>       To retry building the problematic derivation?  And attach the full compressed
>       log here.
>
>       Thank you,
>
>       Maxim
>
> Thank you for the swift answer Maxim. Executing :
>
> ┌────
> │ guix build /gnu/store/6yhwysy1x5zc5s4xbdar2sayqc20fwdl-compute-guix-derivation
> └────
>
> yielded nothing.
>
> Executing :
>
> ┌────
> │ guix pull
> └────
>
> yielded the same result as above.
>
> I resized the tiny VPS to a bigger one just above and it worked. Here is the new "size" of
> the VPS :
>
>       Basic - Premium AMD, Shared CPU, 1 vCPU, 2 GB, 25 GB, 2 TB

Glad it worked now.  What was the original system specifications?  I
suspect a lack of RAM, perhaps.

> May I suggest a kind of warning or test for hardware requirements when `guix' is used ?

That's a good suggestion, but I'm guessing difficult to implement ('guix
pull' may complete with very little memory used or a lot, depending on
the availability of substitutes).

For you specific needs (low specs), I'd suggest using this your
~/.config/guix/channels.scm file:

--8<---------------cut here---------------start------------->8---
     (use-modules (guix ci))

     (list (channel-with-substitutes-available
            %default-guix-channel
            "https://ci.guix.gnu.org"))
--8<---------------cut here---------------end--------------->8---

As documented in '(guix) Channels with Substitutes'.

I hope that helps,

Maxim